{"bugs":{"url":"https://github.com/SorinGFS/idn-hostname/issues"},"dist":{"shasum":"beb825b8c6f8d6ef08de2ad19021a0bd8b404277","tarball":"https://registry.npmjs.org/idn-hostname/-/idn-hostname-15.1.10.tgz","fileCount":105,"integrity":"sha512-/mSXWRhVasTJ7Z4z18523rTA6CmStYN29yDt+oXi9fe1/M0SO2Un1BgUr3v28aAZG5hWicyUtIamC/juXt3nZQ==","signatures":[{"sig":"MEUCIQC98Rhscu5YPePkr2st+FallQL7sxu5NR7fnUcFHnD4/gIgFfoiKE6hvy/4TudIn+DZ5I3l6mcc0+l3cfxv64XmTw8=","keyid":"SHA256:DhQ8wR5APBvFHLF/+Tc+AYvPOdTpcIDqOhxsBHRwC7U"}],"unpackedSize":217097},"main":"index.js","name":"idn-hostname","type":"commonjs","types":"./index.d.ts","author":{"name":"SorinGFS"},"gitHead":"3f79fe51a61413cb51f68844b24250237df09cce","license":"MIT","scripts":{"test":"echo \"Error: no test specified\" && exit 1"},"_npmUser":{"name":"soringfs","email":"sorin.gfs@protonmail.com"},"homepage":"https://github.com/SorinGFS/idn-hostname#readme","keywords":["idn-hostname","idna","validation","unicode","mapping"],"repository":{"url":"git+https://github.com/SorinGFS/idn-hostname.git","type":"git"},"_npmVersion":"11.14.1","description":"An internationalized hostname validator as defined by RFC5890, RFC5891, RFC5892, RFC5893, RFC3492 and UTS#46","directories":{},"maintainers":[{"name":"soringfs","email":"sorin.gfs@protonmail.com"}],"_nodeVersion":"24.0.2","dependencies":{"punycode":"^2.3.1"},"_hasShrinkwrap":false,"devDependencies":{"@types/punycode":"^2.1.4"},"_npmOperationalInternal":{"tmp":"tmp/idn-hostname_15.1.10_1782931961667_0.6399944858528004","host":"s3://npm-registry-packages-npm-production"},"_id":"idn-hostname@15.1.10","version":"15.1.10"}